# schedule_badge_updates

This plugin allows you to schedule badge updates.

NOTE: This is an alpha which only support iOS 10.

## Getting Started

```dart
import 'package:schedule_badge_updates/schedule_badge_updates.dart';

// Set badge to 16
ScheduleBadgeUpdates.setBadge(16);

// Schedule badge to be set to 15 in 15 seconds
String res = await ScheduleBadgeUpdates.scheduleBadge(15, DateTime.now().add(Duration(seconds: 15)));

// Remove all scheduled badge updates but don't clear current badge
await ScheduleBadgeUpdates.unscheduleAllBadgeUpdates();

// Clear badge right now but leave pending updates
await ScheduleBadgeUpdates.clearBadge()

// Remove specific scheduled updates specified as uuid returned by ScheduleBadgeUpdates.scheduleBadge
await ScheduleBadgeUpdates.unscheduleBadgeUpdates([res])
```
